Back to software downloads
Beta

Looking Glass Bridge

Required for Looking Glass applications and development tools.

Version 2.3.7

Looking Glass Bridge facilitates communication between your computer and any connected Looking Glass devices. Required for Looking Glass applications and development tools. Requires MacOS 12+ or Windows 10+

Note: for Linux users, after extracting, run:
$ chmod +x LookingGlassBridge-2.3.7-Linux.sh
$ ./LookingGlassBridge-2.3.7-Linux.sh

Release notes

  • Addresses performance issues.

Resources


Please login to download.